<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [DarknetFormulas](./bitburner.darknetformulas.md) &gt; [getHeartbleedTime](./bitburner.darknetformulas.getheartbleedtime.md)

## DarknetFormulas.getHeartbleedTime() method

Gets the time it will take to scrape logs from a server.

**Signature:**

```typescript
getHeartbleedTime(serverDetails: DarknetServerDetails, threads?: number, player?: Person): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

serverDetails


</td><td>

[DarknetServerDetails](./bitburner.darknetserverdetails.md)


</td><td>

The server to check heartbleed log scraping time on.


</td></tr>
<tr><td>

threads


</td><td>

number


</td><td>

_(Optional)_ The number of threads to use for the authentication. Optional, defaults to 1


</td></tr>
<tr><td>

player


</td><td>

[Person](./bitburner.person.md)


</td><td>

_(Optional)_ The player object. Optional, defaults to the current player status


</td></tr>
</tbody></table>

**Returns:**

number

